commit: c31f1bd4375dd5e0eb028d295042ee91c2d9c087
Author: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 20 18:53:39 2021 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Mar 20 18:53:39 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c31f1bd4
dev-python/google-api-core-1.26.1-r1: Revbump add missing dep
Reported in an email, this has a missing RDEPEND on
dev-python/packaging.
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
.../google-api-core-1.26.1-r1.ebuild | 44 ++++++++++++++++++++++
1 file changed, 44 insertions(+)
diff --git a/dev-python/google-api-core/google-api-core-1.26.1-r1.ebuild
b/dev-python/google-api-core/google-api-core-1.26.1-r1.ebuild
new file mode 100644
index 00000000000..af52a0d1189
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-1.26.1-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core
+ https://googleapis.dev/python/google-api-core/latest"
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}